package com.parse.web.service;

import java.util.List;

import com.parse.web.beans.Article;
import com.parse.web.beans.Category;
import com.parse.web.beans.Pagination;
import com.parse.web.beans.RestResponse;

public interface CategoryService {

	public void save() throws Exception;
	public RestResponse<Article> fetchCategoryById(String categoryId) throws Exception;
	public List<Category> fetchAllCategories(Pagination pagination) throws Exception;
}
