<!DOCTYPE html>
<html>
 <head>
     <%@include file="/WEB-INF/secured/header.jsp" %>
    <meta name="keywords" content="" />
    <meta name="description" content="" />
    <link rel="stylesheet" href="<%=request.getContextPath()%>/css/style.css" type="text/css" media="screen, projection" />
    <link rel="stylesheet" href="<%=request.getContextPath()%>/css/jRating.jquery.css" type="text/css" />
    <script type="text/javascript" src="<%=request.getContextPath()%>/js/jRating.jquery.js"></script>
 </head>
 <body>
    <section class="wrapper">
        <header class="header">
            <div class="logo">
                <h1><a href="http://">LOGO</a></h1>
            </div>
            <nav>
                <ul>
                	<li class="nav_articles">
                        <a href="http://">Articles</a>
                    </li>
                	<li class="">
                        <a href="http://">Categories</a>
                    </li>
                	<li class="">
                        <a href="http://">My Reading List</a>
                    </li>
                	<li class="">
                        <a href="http://">History</a>
                    </li>
                </ul>
            </nav>
            <section class="block_right">
                <ul>
                	<li class="search">
                        <form class="search_form" method="get" action=""> 
                            <input type="text" class="placeholder_search" placeholder="search" value="" />
                            <input type="submit" class="submit" value="Search" /> 
                        </form>
                    </li>
                	<li>
                        <ul class="user_nam">
                        	<li><a href="http://">user name</a></li>
                        	<li class="avatar"></li>
                        </ul>
                    </li>
                </ul>
            </section>
        </header>
        <section class="page_navigation">
            <ul class="menu">
            	<li><a href="http://">Home</a></li>
                <li><span>&#8250;</span></li>
            	<li><a href="http://">Articles</a></li>
                <li><span>&#8250;</span></li>
                <li><a href="http://">Articl 1</a></li>
                <li><span>&#8250;</span></li>
                <li><a href="http://">Read</a></li>
            </ul>
        </section>
        <section class="posts">
            <article>
                <header><h2>Article 1</h2></header>
                <p>Lorem ipsum dolor sit amet, consectetur 
                    adipisicing elit, sed do eiusmod tempor incididunt
                    ut labore et dolore magna aliqua. Ut enim ad 
                    minim veniam , quis nostrud exercitation ullamco 
                    laboris nisi ut aliquip ex ea commodo conseqeat. 
                    Duis aute irure dolor in reprehenderit in voluptate
                    velit esse cilum dolore eu fugiat nulla pariatur.
                    Excepteur sint occaecat cupidatat non proident,
                    sunt in culpa qui officia deserunt mollit anim id est
                    laborum. 
                    Lorem ipsum dolor sit amet, consectetur 
                    adipisicing elit, sed do eiusmod tempor incididunt
                    ut labore et dolore magna aliqua. Ut enim ad 
                    minim veniam , quis nostrud exercitation ullamco 
                    laboris nisi ut aliquip ex ea commodo conseqeat. 
                    Duis aute irure dolor in reprehenderit in voluptate
                    velit esse cilum dolore eu fugiat nulla pariatur.
                    Excepteur sint occaecat cupidatat non proident,
                    sunt in culpa qui officia deserunt mollit anim id est
                    laborum. 
                    Lorem ipsum dolor sit amet, consectetur 
                    adipisicing elit, sed do eiusmod tempor incididunt
                    ut labore et dolore magna aliqua. Ut enim ad 
                    minim veniam , quis nostrud exercitation ullamco 
                    laboris nisi ut aliquip ex ea commodo conseqeat. 
                    Duis aute irure dolor in reprehenderit in voluptate
                    velit esse cilum dolore eu fugiat nulla pariatur.
                    Excepteur sint occaecat cupidatat non proident,
                    sunt in culpa qui officia deserunt mollit anim id est
                    laborum. 
                    Lorem ipsum dolor sit amet, consectetur 
                    adipisicing elit, sed do eiusmod tempor incididunt
                    ut labore et dolore magna aliqua. Ut enim ad 
                    minim veniam , quis nostrud exercitation ullamco 
                    laboris nisi ut aliquip ex ea commodo conseqeat. 
                    Duis aute irure dolor in reprehenderit in voluptate
                    velit esse cilum dolore eu fugiat nulla pariatur.
                    Excepteur sint occaecat cupidatat non proident,
                    sunt in culpa qui officia deserunt mollit anim id est
                    laborum.  
                </p>
                <div class="footer_article">
                    <span>Rate & Share:</span><br />
                    <div class="basic" data="12_1"></div>
                    <ul>
                    	<li class="facebook1"><span>1.5k</span></li>
                    	<li class="twitter1"><span>&ensp;900</span></li>
                    	<li class="github1"><span>10</span></li>
                    </ul>
                </div>
            </article>
        </section>
        <section class="link">
            <ul>
            	<li><a href="http://">Link 1</a></li>
            	<li><a href="http://">Link 2</a></li>
            	<li><a href="http://">Link 3</a></li>
            	<li><a href="http://">Link 4</a></li>
            	<li><a href="http://">Link 5</a></li>
            </ul>
        </section>
    </section>
  

	<script type="text/javascript">
		$(document).ready(function(){
			$('.basic').jRating();
			
			$('.exemple2').jRating({
				type:'small',
				length : 40,
				decimalLength : 1
			});
			
			$('.exemple3').jRating({
				step:true,
				length : 20
			});
			
			$('.exemple4').jRating({
				isDisabled : true
			});
			
			$('.exemple5').jRating({
				length:10,
				decimalLength:1,
				onSuccess : function(){
					
				},
				onError : function(){
					
				}
			});
			
			$(".exemple6").jRating({
			  length:10,
			  decimalLength:1,
			  showRateInfo:false
			});
		});
	</script>
 
</body>
</html>
