<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<!DOCTYPE html>
<html>
 <head>
     <%@include file="/WEB-INF/secured/header.jsp" %>
    <meta name="keywords" content="" />
    <meta name="description" content="" />
    <link rel="stylesheet" href="<%=request.getContextPath()%>/css/style.css" type="text/css" media="screen, projection" />
    <link rel="stylesheet" href="<%=request.getContextPath()%>/css/jRating.jquery.css" type="text/css" />
    <script type="text/javascript" src="<%=request.getContextPath()%>/js/jRating.jquery.js"></script>
 </head>
 <body>
    <section class="wrapper">
        <header class="header">
            <div class="logo">
                <h1><a href="http://">LOGO</a></h1>
            </div>
            <nav>
                <ul>
                	<li class="nav_active">
                        <a href="<%=request.getContextPath()%>/rest/articles/list">Articles</a>
                    </li>
                	<li class="" id="categoriesMenu">
                        <a href="<%=request.getContextPath()%>/rest/categories/list">Categories</a>
                    </li>
                	<li class="">
                        <a href="http://">My Reading List</a>
                    </li>
                	<li class="">
                        <a href="http://">History</a>
                    </li>
                </ul>
            </nav>
            <section class="block_right">
                <ul>
                	<li class="search">
                        <form class="search_form" method="get" action=""> 
                            <input type="text" class="placeholder_search" placeholder="search" value="" />
                            <input type="submit" class="submit" value="Search" /> 
                        </form>
                    </li>
                	<li>
                        <ul class="user_nam">
                        	<li><a href="http://">user name</a></li>
                        	<li class="avatar"></li>
                        </ul>
                    </li>
                </ul>
            </section>
        </header>
        <section class="page_navigation">
            <ul class="menu">
            	<li><a href="http://">Home</a></li>
                <li><span>&#8250;</span></li>
            	<li><a href="http://">Category</a></li>
            </ul>
        </section>
        <section class="posts">
            <div class="left_post">
              <c:forEach var="category" items="${it.categories}">
                <ul class="article">
                	<li>
                        <ul class="article1">
                        	<li class="left">
                                <h2><a href="<%=request.getContextPath()%>/rest/categories/home?categoryId=${category.objectId}">${category.name}</a></h2>
                                <ul>
                                    <li>
                                        <ul class="like">
                                        	<li class="facebook"><span>1.5k</span></li>
                                        	<li class="twitter"><span>&ensp;900</span></li>
                                        	<li class="github"><span>10</span></li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                        	<li class="read">
                                <p><a href="<%=request.getContextPath()%>/rest/articles/html">Read</a></p>
                                <span><a href="http://">Save for Later</a></span>
                            </li>
                        </ul>
                    </li>
                </ul>
               </c:forEach>
            </div>
        </section>
        <section class="more">
            <a href="http://">More...</a>
        </section>
        <section class="link">
            <ul>
            	<li><a href="http://">Link 1</a></li>
            	<li><a href="http://">Link 2</a></li>
            	<li><a href="http://">Link 3</a></li>
            	<li><a href="http://">Link 4</a></li>
            	<li><a href="http://">Link 5</a></li>
            </ul>
        </section>
    </section>
 
</body>
</html>