package com.parse.web.util;

import javax.ws.rs.core.MediaType;
import org.codehaus.jackson.map.ObjectMapper;

import com.parse.web.beans.Category;
import com.parse.web.rest.RestClient;
import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.ClientResponse;
import com.sun.jersey.api.client.WebResource;

public class Upload {

	private static ObjectMapper objectMapper = new ObjectMapper();
	
	public static void main (String [] args) throws Exception{
		addArticleRelationToCategory();
	}

	public static void addCategory() throws Exception{
		RestClient restClient = new RestClient();
		Client client = restClient.createInstance();
		WebResource webResource = client.resource("https://api.parse.com/1/classes/Category");

		for (int i =1 ;i<11;i++){
			Category category = new Category();
			category.setName("Category_"+i);
			String json = objectMapper.writeValueAsString(category);
		    ClientResponse clntResponse = webResource.type(MediaType.APPLICATION_JSON)
			.header("X-Parse-Application-ID","h7syDujbsoQXMpWEdDzyPuVxhkPbw5HB2yqSoBDX")
			.header("X-Parse-REST-API-Key", "Es3yB9JHWvROUsOvulgcc8Ft9tDtOhCkehfQsRHF").post(ClientResponse.class, json);
			System.out.println(clntResponse.getEntity(String.class));
		}
	}
	
	public static void addCategoryRelationToArticle() throws Exception{
		RestClient restClient = new RestClient();
		Client client = restClient.createInstance();
		WebResource webResource = client.resource("https://api.parse.com/1/classes/Article/dNQgWRl70j");
	    ClientResponse clntResponse = webResource.type(MediaType.APPLICATION_JSON)
		.header("X-Parse-Application-ID","h7syDujbsoQXMpWEdDzyPuVxhkPbw5HB2yqSoBDX")
		.header("X-Parse-REST-API-Key", "Es3yB9JHWvROUsOvulgcc8Ft9tDtOhCkehfQsRHF")
		.put(ClientResponse.class, "{\"categories\":{\"__op\":\"AddUnique\",\"objects\":" +
				"[{\"__type\":\"Pointer\",\"className\":\"Category\",\"objectId\":\"W8j6efZu8W\"}]}}");
	    
	    System.out.println(clntResponse.getEntity(String.class));
	}
	
	public static void addArticleRelationToCategory() throws Exception{
		RestClient restClient = new RestClient();
		Client client = restClient.createInstance();
		WebResource webResource = client.resource("https://api.parse.com/1/classes/Category/E676kRzeuX");
	    ClientResponse clntResponse = webResource.type(MediaType.APPLICATION_JSON)
		.header("X-Parse-Application-ID","h7syDujbsoQXMpWEdDzyPuVxhkPbw5HB2yqSoBDX")
		.header("X-Parse-REST-API-Key", "Es3yB9JHWvROUsOvulgcc8Ft9tDtOhCkehfQsRHF")
		.put(ClientResponse.class, "{\"articles\":{\"__op\":\"AddUnique\",\"objects\":" +
				"[{\"__type\":\"Pointer\",\"className\":\"Article\",\"objectId\":\"MkN263IYCW\"}]}}");
	    
	    System.out.println(clntResponse.getEntity(String.class));
	}
	
	public static void miscellaneous() throws Exception{
		RestClient restClient = new RestClient();
		Client client = restClient.createInstance();
		WebResource webResource = client.resource("https://api.parse.com/1/classes/Category/ZoT6wjumvY");
	    ClientResponse clntResponse = webResource.type(MediaType.APPLICATION_JSON)
		.header("X-Parse-Application-ID","h7syDujbsoQXMpWEdDzyPuVxhkPbw5HB2yqSoBDX")
		.header("X-Parse-REST-API-Key", "Es3yB9JHWvROUsOvulgcc8Ft9tDtOhCkehfQsRHF")
		.put(ClientResponse.class, "{\"code\":\"ZoT6wjumvY\"}");
	    System.out.println(clntResponse.getEntity(String.class));
	}
	
}
